/// <reference types="node" />
import { Faker } from "@faker-js/faker";
import { Ref } from "../relationships/references";
import { SeederContext } from "./context.interface";
declare type BaseType = string | number | Date | Buffer | boolean | Record<string, any>;
export declare type SeedValue = BaseType | Array<BaseType> | Ref<any>;
export declare type SeedValueGenerator = (faker: Faker, ctx: SeederContext) => SeedValue | Promise<SeedValue>;
export {};
