import { ShapeQuery as MongoQuery } from "sift";
import { SeederContext } from "./context.interface";
declare type BaseType<T> = number | MongoQuery<T>;
export declare type SeedRelationQuery<T> = BaseType<T> | BaseType<T>[];
export declare type SeedRelationFn<T> = (ctx: SeederContext, entities: T[]) => T | T[];
export declare type SeedRelationPicker<T> = SeedRelationFn<T> | SeedRelationQuery<T>;
export interface SeedRelationOptions {
    readonly many?: boolean;
}
export {};
