import { Seeder } from "./seeder.interface";
import { DynamicModule, ForwardReference, Provider, Type } from "@nestjs/common";
export interface SeederOptions {
    imports?: Array<Type | DynamicModule | Promise<DynamicModule> | ForwardReference>;
    providers?: Provider[];
    refresh?: boolean;
    repeats?: number;
    debug?: boolean;
    quiet?: boolean;
}
export interface SeederRunner {
    run(seeders: Provider<Seeder>[]): Promise<void>;
}
export declare const seeder: (options: SeederOptions) => SeederRunner;
