import type { Faker } from "@faker-js/faker";
import { SeederContext } from "../interfaces/context.interface";
import { SeedValue, SeedValueGenerator } from "../interfaces/generator.interface";
export declare class SeederFactory {
    readonly propertyKey: string | symbol;
    private readonly fn;
    constructor(propertyKey: string | symbol, fnOrValue: SeedValue | SeedValueGenerator);
    generate(faker: Faker, context: SeederContext): Promise<SeedValue>;
}
