"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SeederFactory = void 0;
class SeederFactory {
    constructor(propertyKey, fnOrValue) {
        this.propertyKey = propertyKey;
        this.fn =
            typeof fnOrValue !== "function"
                ? () => fnOrValue
                : fnOrValue;
    }
    async generate(faker, context) {
        return this.fn(faker, context);
    }
}
exports.SeederFactory = SeederFactory;
