import { SeederContext } from "../interfaces/index.js";
import { DataSource } from "typeorm";
import { Seeder } from "./seeder.interface";
export declare class SeederService {
    private readonly dataSource;
    private readonly seeders;
    refresh: boolean;
    repeats: number;
    private logger;
    constructor(dataSource: DataSource, seeders: Seeder[], refresh?: boolean, repeats?: number);
    run(): Promise<any>;
    createContext(): Promise<SeederContext>;
    seed(): Promise<any>;
    drop(): Promise<any>;
}
