"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var Duck_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.Duck = void 0;
const typeorm_1 = require("typeorm");
const beaver_entity_1 = require("./beaver.entity");
const index_1 = require("../index");
var BillColors;
(function (BillColors) {
    BillColors["Normal"] = "brownish yellow";
    BillColors["Abberant"] = "yellowish brown";
})(BillColors || (BillColors = {}));
let Duck = Duck_1 = class Duck {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], Duck.prototype, "id", void 0);
__decorate([
    (0, index_1.Seed)(2),
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], Duck.prototype, "legs", void 0);
__decorate([
    (0, index_1.SeedEnum)(BillColors),
    __metadata("design:type", String)
], Duck.prototype, "billColor", void 0);
__decorate([
    (0, index_1.Seed)((faker, ctx) => faker.datatype.number({ min: 11300, max: 11400 })),
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], Duck.prototype, "feathers", void 0);
__decorate([
    (0, index_1.SeedRelation)(() => Duck_1, [1, 2, 3]),
    (0, typeorm_1.ManyToMany)(() => Duck_1, { onDelete: "SET NULL" }),
    (0, typeorm_1.JoinTable)(),
    __metadata("design:type", Array)
], Duck.prototype, "friends", void 0);
__decorate([
    (0, index_1.SeedRelation)(() => beaver_entity_1.Beaver),
    (0, typeorm_1.ManyToOne)(() => beaver_entity_1.Beaver, { onDelete: "SET NULL" }),
    __metadata("design:type", beaver_entity_1.Beaver)
], Duck.prototype, "alsoHates", void 0);
Duck = Duck_1 = __decorate([
    (0, typeorm_1.Entity)()
], Duck);
exports.Duck = Duck;
