"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var Beaver_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.Beaver = void 0;
const typeorm_1 = require("typeorm");
const duck_entity_1 = require("./duck.entity");
const index_1 = require("../index");
let Beaver = Beaver_1 = class Beaver {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], Beaver.prototype, "id", void 0);
__decorate([
    (0, index_1.SeedRelation)(() => duck_entity_1.Duck),
    (0, typeorm_1.ManyToOne)(() => duck_entity_1.Duck, { onDelete: "SET NULL" }),
    __metadata("design:type", duck_entity_1.Duck)
], Beaver.prototype, "reallyHatesThisOne", void 0);
__decorate([
    (0, index_1.SeedRelation)(() => duck_entity_1.Duck, { feathers: { $lt: 11350 } }, { many: true }),
    (0, typeorm_1.ManyToMany)(() => duck_entity_1.Duck, { onDelete: "SET NULL" }),
    (0, typeorm_1.JoinTable)(),
    __metadata("design:type", Array)
], Beaver.prototype, "theseAreOk", void 0);
__decorate([
    (0, index_1.SeedRelation)(() => duck_entity_1.Duck, (ctx, entities) => entities[ctx.currentIndex]),
    (0, typeorm_1.OneToOne)(() => duck_entity_1.Duck, { onDelete: "SET NULL" }),
    (0, typeorm_1.JoinColumn)(),
    __metadata("design:type", duck_entity_1.Duck)
], Beaver.prototype, "crossSpeciesTwin", void 0);
__decorate([
    (0, index_1.SeedRelation)(() => Beaver_1),
    (0, typeorm_1.ManyToOne)(() => Beaver_1, { onDelete: "SET NULL" }),
    __metadata("design:type", Beaver)
], Beaver.prototype, "loves", void 0);
Beaver = Beaver_1 = __decorate([
    (0, typeorm_1.Entity)()
], Beaver);
exports.Beaver = Beaver;
